# Check a Stripe promo code for a user Checks a Stripe promo code for the logged in user. The promo code is checked for validity of the current user based on first time order restriction, specific customer restriction, max allowed redemptions and expiration. The supplied payment payment options are checked to match the minimum payment amount requirements of the promo code. Endpoint: POST /zephr/payment/stripe/promo-code-check Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Request fields (application/json): - `paymentOptions` (object) - `paymentOptions.currency` (string) - `paymentOptions.description` (string) - `paymentOptions.label` (string) - `paymentOptions.order` (integer) - `paymentOptions.price` (number) - `paymentOptions.pricePointId` (string) - `paymentOptions.productId` (string) - `paymentOptions.recommended` (boolean) - `paymentOptions.slug` (string) - `paymentOptions.subTenantId` (string) - `paymentOptions.tenantId` (string) - `paymentOptions.type` (string) Enum: "PRICE_POINT", "ONE_OFF", "REGULAR", "MULTI_PHASED" - `promoCode` (string) The promo code ID that must be checked. ## Response 200 fields (application/json): - `code` (string) Same code supplied as a query parameter in the request - `discount` (string) The discount offered by this promo code - `paymentOptions` (array) The payment options (either from the supplied payment form or from the request body) filtered for promo code validity - `paymentOptions.slug` (string) - `paymentOptions.productId` (string) - `paymentOptions.currency` (string) - `paymentOptions.pricePointId` (string) - `paymentOptions.originalPrice` (number) - `paymentOptions.discountPrice` (number)